Index: ui/mainwindow.ce.ui
===================================================================
--- ui/mainwindow.ce.ui	(revision ac4cb71650d25f5eddfae402b42f6411f89c8ed5)
+++ ui/mainwindow.ce.ui	(revision c02b4903bd60bec507d0f31e8ceacb17d5fe68df)
@@ -255,10 +255,10 @@
      <string>&amp;File</string>
     </property>
-    <widget class="QMenu" name="menuFileSave">
+    <widget class="QMenu" name="menuFileSaveAs">
      <property name="statusTip">
       <string/>
      </property>
      <property name="title">
-      <string>&amp;Save</string>
+      <string>Save &amp;as...</string>
      </property>
      <property name="icon">
@@ -274,5 +274,6 @@
     <addaction name="actionFileNew"/>
     <addaction name="actionFileOpen"/>
-    <addaction name="menuFileSave"/>
+    <addaction name="actionFileSave"/>
+    <addaction name="menuFileSaveAs"/>
     <addaction name="separator"/>
     <addaction name="actionFileExit"/>
@@ -405,7 +406,4 @@
   </action>
   <action name="actionFileOpen">
-   <property name="enabled">
-    <bool>false</bool>
-   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -501,7 +499,4 @@
   </action>
   <action name="actionFileSaveTask">
-   <property name="enabled">
-    <bool>false</bool>
-   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -550,4 +545,22 @@
    <property name="text">
     <string>English</string>
+   </property>
+  </action>
+  <action name="actionFileSave">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+   </property>
+   <property name="text">
+    <string>&amp;Save</string>
+   </property>
+   <property name="toolTip">
+    <string>Save task</string>
+   </property>
+   <property name="statusTip">
+    <string>Save current task</string>
    </property>
   </action>
Index: ui/mainwindow.ui
===================================================================
--- ui/mainwindow.ui	(revision ac4cb71650d25f5eddfae402b42f6411f89c8ed5)
+++ ui/mainwindow.ui	(revision c02b4903bd60bec507d0f31e8ceacb17d5fe68df)
@@ -236,7 +236,7 @@
      <string>&amp;File</string>
     </property>
-    <widget class="QMenu" name="menuFileSave">
+    <widget class="QMenu" name="menuFileSaveAs">
      <property name="title">
-      <string>&amp;Save</string>
+      <string>Save &amp;as...</string>
      </property>
      <property name="icon">
@@ -252,5 +252,6 @@
     <addaction name="actionFileNew"/>
     <addaction name="actionFileOpen"/>
-    <addaction name="menuFileSave"/>
+    <addaction name="actionFileSave"/>
+    <addaction name="menuFileSaveAs"/>
     <addaction name="separator"/>
     <addaction name="actionFilePrintSetup"/>
@@ -418,7 +419,4 @@
   </action>
   <action name="actionFileOpen">
-   <property name="enabled">
-    <bool>false</bool>
-   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -514,7 +512,4 @@
   </action>
   <action name="actionFileSaveTask">
-   <property name="enabled">
-    <bool>false</bool>
-   </property>
    <property name="icon">
     <iconset resource="../resources/tspsg.qrc">
@@ -563,4 +558,25 @@
    <property name="text">
     <string notr="true">English</string>
+   </property>
+  </action>
+  <action name="actionFileSave">
+   <property name="enabled">
+    <bool>false</bool>
+   </property>
+   <property name="icon">
+    <iconset resource="../resources/tspsg.qrc">
+     <normaloff>:/images/buttons/buttons/Save.png</normaloff>:/images/buttons/buttons/Save.png</iconset>
+   </property>
+   <property name="text">
+    <string>&amp;Save</string>
+   </property>
+   <property name="iconText">
+    <string>Save</string>
+   </property>
+   <property name="toolTip">
+    <string>Save task</string>
+   </property>
+   <property name="statusTip">
+    <string>Save current task</string>
    </property>
   </action>
